Holger's Java API

## com.antelmann.db
Class ProtocolNoteEntry

    java.lang.Object
      com.antelmann.db.AbstractDBEntry
          com.antelmann.db.ProtocolNoteEntry

All Implemented Interfaces:
  Timed, DBEntry, ProtocolNote, Serializable

Direct Known Subclasses:
  GAnnotation

    public class ProtocolNoteEntry

extends AbstractDBEntry
implements ProtocolNote

Since:
  23.03.2012, 17:47:34
Author:
  holger
See Also:
  Serialized Form

Field Summary

Fields inherited from interface com.antelmann.calendar.Timed
`COMPARATOR, DATE_EXTRACTOR`

Fields inherited from interface com.antelmann.db.DBEntry
`ENTRY_FLAVOR, ENTRY_LIST_FLAVOR`

Constructor Summary
`ProtocolNoteEntry(Object id)`
`ProtocolNoteEntry(Object id, long time)`

Method Summary
`Date` `getDate()`
`DBReference` `getDocumentReference()` specifies a reference to the document this protocol note is based on
`String` `getDocumentString()`
`String` `getNotes()` specifies notes as a string message
`long` `getTime()`
`void` `setDocumentReference(DBReference ref)`
`void` `setNotes(String notes)`
`protected void` `setTime(long time)`

Methods inherited from class com.antelmann.db.AbstractDBEntry
`equals, getID, hashCode, hashEntry, sameEntry, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProtocolNoteEntry

    public ProtocolNoteEntry(Object id)

### ProtocolNoteEntry

    public ProtocolNoteEntry(Object id,
                             long time)

Method Detail

### setTime

    protected void setTime(long time)

### getTime

    public long getTime()

  Specified by:
    `getTime` in interface `Timed`

### getDate

    public Date getDate()

### getDocumentReference

    public DBReference getDocumentReference()

  Description copied from interface: `ProtocolNote`
  specifies a reference to the document this protocol note is based on

  Specified by:
    `getDocumentReference` in interface `ProtocolNote`

### setDocumentReference

    public void setDocumentReference(DBReference ref)

### getDocumentString

    public String getDocumentString()

### getNotes

    public String getNotes()

  Description copied from interface: `ProtocolNote`
  specifies notes as a string message

  Specified by:
    `getNotes` in interface `ProtocolNote`

### setNotes

    public void setNotes(String notes)

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads